Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network178.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
178.0.0.0
Broadcast address
179.255.255.255
First usable
178.0.0.1
Last usable
179.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex B2000000 · Integer 2986344448 to 3019898879
Reverse DNS zones
178.in-addr.arpa
179.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110010.00000000.00000000.00000000178.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10110010.00000000.00000000.00000000178.0.0.0
Broadcast10110011.11111111.11111111.11111111179.255.255.255
Split into smaller subnets/15

178.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1178.0.0.0/15178.0.0.1 to 178.1.255.254178.1.255.255131,070
2178.2.0.0/15178.2.0.1 to 178.3.255.254178.3.255.255131,070
3178.4.0.0/15178.4.0.1 to 178.5.255.254178.5.255.255131,070
4178.6.0.0/15178.6.0.1 to 178.7.255.254178.7.255.255131,070
5178.8.0.0/15178.8.0.1 to 178.9.255.254178.9.255.255131,070
6178.10.0.0/15178.10.0.1 to 178.11.255.254178.11.255.255131,070
7178.12.0.0/15178.12.0.1 to 178.13.255.254178.13.255.255131,070
8178.14.0.0/15178.14.0.1 to 178.15.255.254178.15.255.255131,070
9178.16.0.0/15178.16.0.1 to 178.17.255.254178.17.255.255131,070
10178.18.0.0/15178.18.0.1 to 178.19.255.254178.19.255.255131,070
11178.20.0.0/15178.20.0.1 to 178.21.255.254178.21.255.255131,070
12178.22.0.0/15178.22.0.1 to 178.23.255.254178.23.255.255131,070
13178.24.0.0/15178.24.0.1 to 178.25.255.254178.25.255.255131,070
14178.26.0.0/15178.26.0.1 to 178.27.255.254178.27.255.255131,070
15178.28.0.0/15178.28.0.1 to 178.29.255.254178.29.255.255131,070
16178.30.0.0/15178.30.0.1 to 178.31.255.254178.31.255.255131,070
17178.32.0.0/15178.32.0.1 to 178.33.255.254178.33.255.255131,070
18178.34.0.0/15178.34.0.1 to 178.35.255.254178.35.255.255131,070
19178.36.0.0/15178.36.0.1 to 178.37.255.254178.37.255.255131,070
20178.38.0.0/15178.38.0.1 to 178.39.255.254178.39.255.255131,070
21178.40.0.0/15178.40.0.1 to 178.41.255.254178.41.255.255131,070
22178.42.0.0/15178.42.0.1 to 178.43.255.254178.43.255.255131,070
23178.44.0.0/15178.44.0.1 to 178.45.255.254178.45.255.255131,070
24178.46.0.0/15178.46.0.1 to 178.47.255.254178.47.255.255131,070
25178.48.0.0/15178.48.0.1 to 178.49.255.254178.49.255.255131,070
26178.50.0.0/15178.50.0.1 to 178.51.255.254178.51.255.255131,070
27178.52.0.0/15178.52.0.1 to 178.53.255.254178.53.255.255131,070
28178.54.0.0/15178.54.0.1 to 178.55.255.254178.55.255.255131,070
29178.56.0.0/15178.56.0.1 to 178.57.255.254178.57.255.255131,070
30178.58.0.0/15178.58.0.1 to 178.59.255.254178.59.255.255131,070
31178.60.0.0/15178.60.0.1 to 178.61.255.254178.61.255.255131,070
32178.62.0.0/15178.62.0.1 to 178.63.255.254178.63.255.255131,070
33178.64.0.0/15178.64.0.1 to 178.65.255.254178.65.255.255131,070
34178.66.0.0/15178.66.0.1 to 178.67.255.254178.67.255.255131,070
35178.68.0.0/15178.68.0.1 to 178.69.255.254178.69.255.255131,070
36178.70.0.0/15178.70.0.1 to 178.71.255.254178.71.255.255131,070
37178.72.0.0/15178.72.0.1 to 178.73.255.254178.73.255.255131,070
38178.74.0.0/15178.74.0.1 to 178.75.255.254178.75.255.255131,070
39178.76.0.0/15178.76.0.1 to 178.77.255.254178.77.255.255131,070
40178.78.0.0/15178.78.0.1 to 178.79.255.254178.79.255.255131,070
41178.80.0.0/15178.80.0.1 to 178.81.255.254178.81.255.255131,070
42178.82.0.0/15178.82.0.1 to 178.83.255.254178.83.255.255131,070
43178.84.0.0/15178.84.0.1 to 178.85.255.254178.85.255.255131,070
44178.86.0.0/15178.86.0.1 to 178.87.255.254178.87.255.255131,070
45178.88.0.0/15178.88.0.1 to 178.89.255.254178.89.255.255131,070
46178.90.0.0/15178.90.0.1 to 178.91.255.254178.91.255.255131,070
47178.92.0.0/15178.92.0.1 to 178.93.255.254178.93.255.255131,070
48178.94.0.0/15178.94.0.1 to 178.95.255.254178.95.255.255131,070
49178.96.0.0/15178.96.0.1 to 178.97.255.254178.97.255.255131,070
50178.98.0.0/15178.98.0.1 to 178.99.255.254178.99.255.255131,070
51178.100.0.0/15178.100.0.1 to 178.101.255.254178.101.255.255131,070
52178.102.0.0/15178.102.0.1 to 178.103.255.254178.103.255.255131,070
53178.104.0.0/15178.104.0.1 to 178.105.255.254178.105.255.255131,070
54178.106.0.0/15178.106.0.1 to 178.107.255.254178.107.255.255131,070
55178.108.0.0/15178.108.0.1 to 178.109.255.254178.109.255.255131,070
56178.110.0.0/15178.110.0.1 to 178.111.255.254178.111.255.255131,070
57178.112.0.0/15178.112.0.1 to 178.113.255.254178.113.255.255131,070
58178.114.0.0/15178.114.0.1 to 178.115.255.254178.115.255.255131,070
59178.116.0.0/15178.116.0.1 to 178.117.255.254178.117.255.255131,070
60178.118.0.0/15178.118.0.1 to 178.119.255.254178.119.255.255131,070
61178.120.0.0/15178.120.0.1 to 178.121.255.254178.121.255.255131,070
62178.122.0.0/15178.122.0.1 to 178.123.255.254178.123.255.255131,070
63178.124.0.0/15178.124.0.1 to 178.125.255.254178.125.255.255131,070
64178.126.0.0/15178.126.0.1 to 178.127.255.254178.127.255.255131,070
65178.128.0.0/15178.128.0.1 to 178.129.255.254178.129.255.255131,070
66178.130.0.0/15178.130.0.1 to 178.131.255.254178.131.255.255131,070
67178.132.0.0/15178.132.0.1 to 178.133.255.254178.133.255.255131,070
68178.134.0.0/15178.134.0.1 to 178.135.255.254178.135.255.255131,070
69178.136.0.0/15178.136.0.1 to 178.137.255.254178.137.255.255131,070
70178.138.0.0/15178.138.0.1 to 178.139.255.254178.139.255.255131,070
71178.140.0.0/15178.140.0.1 to 178.141.255.254178.141.255.255131,070
72178.142.0.0/15178.142.0.1 to 178.143.255.254178.143.255.255131,070
73178.144.0.0/15178.144.0.1 to 178.145.255.254178.145.255.255131,070
74178.146.0.0/15178.146.0.1 to 178.147.255.254178.147.255.255131,070
75178.148.0.0/15178.148.0.1 to 178.149.255.254178.149.255.255131,070
76178.150.0.0/15178.150.0.1 to 178.151.255.254178.151.255.255131,070
77178.152.0.0/15178.152.0.1 to 178.153.255.254178.153.255.255131,070
78178.154.0.0/15178.154.0.1 to 178.155.255.254178.155.255.255131,070
79178.156.0.0/15178.156.0.1 to 178.157.255.254178.157.255.255131,070
80178.158.0.0/15178.158.0.1 to 178.159.255.254178.159.255.255131,070
81178.160.0.0/15178.160.0.1 to 178.161.255.254178.161.255.255131,070
82178.162.0.0/15178.162.0.1 to 178.163.255.254178.163.255.255131,070
83178.164.0.0/15178.164.0.1 to 178.165.255.254178.165.255.255131,070
84178.166.0.0/15178.166.0.1 to 178.167.255.254178.167.255.255131,070
85178.168.0.0/15178.168.0.1 to 178.169.255.254178.169.255.255131,070
86178.170.0.0/15178.170.0.1 to 178.171.255.254178.171.255.255131,070
87178.172.0.0/15178.172.0.1 to 178.173.255.254178.173.255.255131,070
88178.174.0.0/15178.174.0.1 to 178.175.255.254178.175.255.255131,070
89178.176.0.0/15178.176.0.1 to 178.177.255.254178.177.255.255131,070
90178.178.0.0/15178.178.0.1 to 178.179.255.254178.179.255.255131,070
91178.180.0.0/15178.180.0.1 to 178.181.255.254178.181.255.255131,070
92178.182.0.0/15178.182.0.1 to 178.183.255.254178.183.255.255131,070
93178.184.0.0/15178.184.0.1 to 178.185.255.254178.185.255.255131,070
94178.186.0.0/15178.186.0.1 to 178.187.255.254178.187.255.255131,070
95178.188.0.0/15178.188.0.1 to 178.189.255.254178.189.255.255131,070
96178.190.0.0/15178.190.0.1 to 178.191.255.254178.191.255.255131,070
97178.192.0.0/15178.192.0.1 to 178.193.255.254178.193.255.255131,070
98178.194.0.0/15178.194.0.1 to 178.195.255.254178.195.255.255131,070
99178.196.0.0/15178.196.0.1 to 178.197.255.254178.197.255.255131,070
100178.198.0.0/15178.198.0.1 to 178.199.255.254178.199.255.255131,070
101178.200.0.0/15178.200.0.1 to 178.201.255.254178.201.255.255131,070
102178.202.0.0/15178.202.0.1 to 178.203.255.254178.203.255.255131,070
103178.204.0.0/15178.204.0.1 to 178.205.255.254178.205.255.255131,070
104178.206.0.0/15178.206.0.1 to 178.207.255.254178.207.255.255131,070
105178.208.0.0/15178.208.0.1 to 178.209.255.254178.209.255.255131,070
106178.210.0.0/15178.210.0.1 to 178.211.255.254178.211.255.255131,070
107178.212.0.0/15178.212.0.1 to 178.213.255.254178.213.255.255131,070
108178.214.0.0/15178.214.0.1 to 178.215.255.254178.215.255.255131,070
109178.216.0.0/15178.216.0.1 to 178.217.255.254178.217.255.255131,070
110178.218.0.0/15178.218.0.1 to 178.219.255.254178.219.255.255131,070
111178.220.0.0/15178.220.0.1 to 178.221.255.254178.221.255.255131,070
112178.222.0.0/15178.222.0.1 to 178.223.255.254178.223.255.255131,070
113178.224.0.0/15178.224.0.1 to 178.225.255.254178.225.255.255131,070
114178.226.0.0/15178.226.0.1 to 178.227.255.254178.227.255.255131,070
115178.228.0.0/15178.228.0.1 to 178.229.255.254178.229.255.255131,070
116178.230.0.0/15178.230.0.1 to 178.231.255.254178.231.255.255131,070
117178.232.0.0/15178.232.0.1 to 178.233.255.254178.233.255.255131,070
118178.234.0.0/15178.234.0.1 to 178.235.255.254178.235.255.255131,070
119178.236.0.0/15178.236.0.1 to 178.237.255.254178.237.255.255131,070
120178.238.0.0/15178.238.0.1 to 178.239.255.254178.239.255.255131,070
121178.240.0.0/15178.240.0.1 to 178.241.255.254178.241.255.255131,070
122178.242.0.0/15178.242.0.1 to 178.243.255.254178.243.255.255131,070
123178.244.0.0/15178.244.0.1 to 178.245.255.254178.245.255.255131,070
124178.246.0.0/15178.246.0.1 to 178.247.255.254178.247.255.255131,070
125178.248.0.0/15178.248.0.1 to 178.249.255.254178.249.255.255131,070
126178.250.0.0/15178.250.0.1 to 178.251.255.254178.251.255.255131,070
127178.252.0.0/15178.252.0.1 to 178.253.255.254178.253.255.255131,070
128178.254.0.0/15178.254.0.1 to 178.255.255.254178.255.255.255131,070
129179.0.0.0/15179.0.0.1 to 179.1.255.254179.1.255.255131,070
130179.2.0.0/15179.2.0.1 to 179.3.255.254179.3.255.255131,070
131179.4.0.0/15179.4.0.1 to 179.5.255.254179.5.255.255131,070
132179.6.0.0/15179.6.0.1 to 179.7.255.254179.7.255.255131,070
133179.8.0.0/15179.8.0.1 to 179.9.255.254179.9.255.255131,070
134179.10.0.0/15179.10.0.1 to 179.11.255.254179.11.255.255131,070
135179.12.0.0/15179.12.0.1 to 179.13.255.254179.13.255.255131,070
136179.14.0.0/15179.14.0.1 to 179.15.255.254179.15.255.255131,070
137179.16.0.0/15179.16.0.1 to 179.17.255.254179.17.255.255131,070
138179.18.0.0/15179.18.0.1 to 179.19.255.254179.19.255.255131,070
139179.20.0.0/15179.20.0.1 to 179.21.255.254179.21.255.255131,070
140179.22.0.0/15179.22.0.1 to 179.23.255.254179.23.255.255131,070
141179.24.0.0/15179.24.0.1 to 179.25.255.254179.25.255.255131,070
142179.26.0.0/15179.26.0.1 to 179.27.255.254179.27.255.255131,070
143179.28.0.0/15179.28.0.1 to 179.29.255.254179.29.255.255131,070
144179.30.0.0/15179.30.0.1 to 179.31.255.254179.31.255.255131,070
145179.32.0.0/15179.32.0.1 to 179.33.255.254179.33.255.255131,070
146179.34.0.0/15179.34.0.1 to 179.35.255.254179.35.255.255131,070
147179.36.0.0/15179.36.0.1 to 179.37.255.254179.37.255.255131,070
148179.38.0.0/15179.38.0.1 to 179.39.255.254179.39.255.255131,070
149179.40.0.0/15179.40.0.1 to 179.41.255.254179.41.255.255131,070
150179.42.0.0/15179.42.0.1 to 179.43.255.254179.43.255.255131,070
151179.44.0.0/15179.44.0.1 to 179.45.255.254179.45.255.255131,070
152179.46.0.0/15179.46.0.1 to 179.47.255.254179.47.255.255131,070
153179.48.0.0/15179.48.0.1 to 179.49.255.254179.49.255.255131,070
154179.50.0.0/15179.50.0.1 to 179.51.255.254179.51.255.255131,070
155179.52.0.0/15179.52.0.1 to 179.53.255.254179.53.255.255131,070
156179.54.0.0/15179.54.0.1 to 179.55.255.254179.55.255.255131,070
157179.56.0.0/15179.56.0.1 to 179.57.255.254179.57.255.255131,070
158179.58.0.0/15179.58.0.1 to 179.59.255.254179.59.255.255131,070
159179.60.0.0/15179.60.0.1 to 179.61.255.254179.61.255.255131,070
160179.62.0.0/15179.62.0.1 to 179.63.255.254179.63.255.255131,070
161179.64.0.0/15179.64.0.1 to 179.65.255.254179.65.255.255131,070
162179.66.0.0/15179.66.0.1 to 179.67.255.254179.67.255.255131,070
163179.68.0.0/15179.68.0.1 to 179.69.255.254179.69.255.255131,070
164179.70.0.0/15179.70.0.1 to 179.71.255.254179.71.255.255131,070
165179.72.0.0/15179.72.0.1 to 179.73.255.254179.73.255.255131,070
166179.74.0.0/15179.74.0.1 to 179.75.255.254179.75.255.255131,070
167179.76.0.0/15179.76.0.1 to 179.77.255.254179.77.255.255131,070
168179.78.0.0/15179.78.0.1 to 179.79.255.254179.79.255.255131,070
169179.80.0.0/15179.80.0.1 to 179.81.255.254179.81.255.255131,070
170179.82.0.0/15179.82.0.1 to 179.83.255.254179.83.255.255131,070
171179.84.0.0/15179.84.0.1 to 179.85.255.254179.85.255.255131,070
172179.86.0.0/15179.86.0.1 to 179.87.255.254179.87.255.255131,070
173179.88.0.0/15179.88.0.1 to 179.89.255.254179.89.255.255131,070
174179.90.0.0/15179.90.0.1 to 179.91.255.254179.91.255.255131,070
175179.92.0.0/15179.92.0.1 to 179.93.255.254179.93.255.255131,070
176179.94.0.0/15179.94.0.1 to 179.95.255.254179.95.255.255131,070
177179.96.0.0/15179.96.0.1 to 179.97.255.254179.97.255.255131,070
178179.98.0.0/15179.98.0.1 to 179.99.255.254179.99.255.255131,070
179179.100.0.0/15179.100.0.1 to 179.101.255.254179.101.255.255131,070
180179.102.0.0/15179.102.0.1 to 179.103.255.254179.103.255.255131,070
181179.104.0.0/15179.104.0.1 to 179.105.255.254179.105.255.255131,070
182179.106.0.0/15179.106.0.1 to 179.107.255.254179.107.255.255131,070
183179.108.0.0/15179.108.0.1 to 179.109.255.254179.109.255.255131,070
184179.110.0.0/15179.110.0.1 to 179.111.255.254179.111.255.255131,070
185179.112.0.0/15179.112.0.1 to 179.113.255.254179.113.255.255131,070
186179.114.0.0/15179.114.0.1 to 179.115.255.254179.115.255.255131,070
187179.116.0.0/15179.116.0.1 to 179.117.255.254179.117.255.255131,070
188179.118.0.0/15179.118.0.1 to 179.119.255.254179.119.255.255131,070
189179.120.0.0/15179.120.0.1 to 179.121.255.254179.121.255.255131,070
190179.122.0.0/15179.122.0.1 to 179.123.255.254179.123.255.255131,070
191179.124.0.0/15179.124.0.1 to 179.125.255.254179.125.255.255131,070
192179.126.0.0/15179.126.0.1 to 179.127.255.254179.127.255.255131,070
193179.128.0.0/15179.128.0.1 to 179.129.255.254179.129.255.255131,070
194179.130.0.0/15179.130.0.1 to 179.131.255.254179.131.255.255131,070
195179.132.0.0/15179.132.0.1 to 179.133.255.254179.133.255.255131,070
196179.134.0.0/15179.134.0.1 to 179.135.255.254179.135.255.255131,070
197179.136.0.0/15179.136.0.1 to 179.137.255.254179.137.255.255131,070
198179.138.0.0/15179.138.0.1 to 179.139.255.254179.139.255.255131,070
199179.140.0.0/15179.140.0.1 to 179.141.255.254179.141.255.255131,070
200179.142.0.0/15179.142.0.1 to 179.143.255.254179.143.255.255131,070
201179.144.0.0/15179.144.0.1 to 179.145.255.254179.145.255.255131,070
202179.146.0.0/15179.146.0.1 to 179.147.255.254179.147.255.255131,070
203179.148.0.0/15179.148.0.1 to 179.149.255.254179.149.255.255131,070
204179.150.0.0/15179.150.0.1 to 179.151.255.254179.151.255.255131,070
205179.152.0.0/15179.152.0.1 to 179.153.255.254179.153.255.255131,070
206179.154.0.0/15179.154.0.1 to 179.155.255.254179.155.255.255131,070
207179.156.0.0/15179.156.0.1 to 179.157.255.254179.157.255.255131,070
208179.158.0.0/15179.158.0.1 to 179.159.255.254179.159.255.255131,070
209179.160.0.0/15179.160.0.1 to 179.161.255.254179.161.255.255131,070
210179.162.0.0/15179.162.0.1 to 179.163.255.254179.163.255.255131,070
211179.164.0.0/15179.164.0.1 to 179.165.255.254179.165.255.255131,070
212179.166.0.0/15179.166.0.1 to 179.167.255.254179.167.255.255131,070
213179.168.0.0/15179.168.0.1 to 179.169.255.254179.169.255.255131,070
214179.170.0.0/15179.170.0.1 to 179.171.255.254179.171.255.255131,070
215179.172.0.0/15179.172.0.1 to 179.173.255.254179.173.255.255131,070
216179.174.0.0/15179.174.0.1 to 179.175.255.254179.175.255.255131,070
217179.176.0.0/15179.176.0.1 to 179.177.255.254179.177.255.255131,070
218179.178.0.0/15179.178.0.1 to 179.179.255.254179.179.255.255131,070
219179.180.0.0/15179.180.0.1 to 179.181.255.254179.181.255.255131,070
220179.182.0.0/15179.182.0.1 to 179.183.255.254179.183.255.255131,070
221179.184.0.0/15179.184.0.1 to 179.185.255.254179.185.255.255131,070
222179.186.0.0/15179.186.0.1 to 179.187.255.254179.187.255.255131,070
223179.188.0.0/15179.188.0.1 to 179.189.255.254179.189.255.255131,070
224179.190.0.0/15179.190.0.1 to 179.191.255.254179.191.255.255131,070
225179.192.0.0/15179.192.0.1 to 179.193.255.254179.193.255.255131,070
226179.194.0.0/15179.194.0.1 to 179.195.255.254179.195.255.255131,070
227179.196.0.0/15179.196.0.1 to 179.197.255.254179.197.255.255131,070
228179.198.0.0/15179.198.0.1 to 179.199.255.254179.199.255.255131,070
229179.200.0.0/15179.200.0.1 to 179.201.255.254179.201.255.255131,070
230179.202.0.0/15179.202.0.1 to 179.203.255.254179.203.255.255131,070
231179.204.0.0/15179.204.0.1 to 179.205.255.254179.205.255.255131,070
232179.206.0.0/15179.206.0.1 to 179.207.255.254179.207.255.255131,070
233179.208.0.0/15179.208.0.1 to 179.209.255.254179.209.255.255131,070
234179.210.0.0/15179.210.0.1 to 179.211.255.254179.211.255.255131,070
235179.212.0.0/15179.212.0.1 to 179.213.255.254179.213.255.255131,070
236179.214.0.0/15179.214.0.1 to 179.215.255.254179.215.255.255131,070
237179.216.0.0/15179.216.0.1 to 179.217.255.254179.217.255.255131,070
238179.218.0.0/15179.218.0.1 to 179.219.255.254179.219.255.255131,070
239179.220.0.0/15179.220.0.1 to 179.221.255.254179.221.255.255131,070
240179.222.0.0/15179.222.0.1 to 179.223.255.254179.223.255.255131,070
241179.224.0.0/15179.224.0.1 to 179.225.255.254179.225.255.255131,070
242179.226.0.0/15179.226.0.1 to 179.227.255.254179.227.255.255131,070
243179.228.0.0/15179.228.0.1 to 179.229.255.254179.229.255.255131,070
244179.230.0.0/15179.230.0.1 to 179.231.255.254179.231.255.255131,070
245179.232.0.0/15179.232.0.1 to 179.233.255.254179.233.255.255131,070
246179.234.0.0/15179.234.0.1 to 179.235.255.254179.235.255.255131,070
247179.236.0.0/15179.236.0.1 to 179.237.255.254179.237.255.255131,070
248179.238.0.0/15179.238.0.1 to 179.239.255.254179.239.255.255131,070
249179.240.0.0/15179.240.0.1 to 179.241.255.254179.241.255.255131,070
250179.242.0.0/15179.242.0.1 to 179.243.255.254179.243.255.255131,070
251179.244.0.0/15179.244.0.1 to 179.245.255.254179.245.255.255131,070
252179.246.0.0/15179.246.0.1 to 179.247.255.254179.247.255.255131,070
253179.248.0.0/15179.248.0.1 to 179.249.255.254179.249.255.255131,070
254179.250.0.0/15179.250.0.1 to 179.251.255.254179.251.255.255131,070
255179.252.0.0/15179.252.0.1 to 179.253.255.254179.253.255.255131,070
256179.254.0.0/15179.254.0.1 to 179.255.255.254179.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses